Page MenuHomePhabricator

Avoid jumping to the reference sections when the first reference is added
Closed, ResolvedPublic1 Story Points

Description

When adding a paragraph to translate, the document gets scrolled to the very bottom in order for the references paragraph to be added. This may result confusing for the user since the paragraph just added becomes out of sight all of a sudden. We should try to keep the context as much as possible.

If we really find out that it is important to communicate that something happen below the fold (e.g., the reference list being generated), we can do it in a more subtle way (e.g., showing a tooltip at the bottom of the screen pointing informing that the reference list was added), but I don't think that is even needed at the moment.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added subscribers: Aklapper, Pginer-WMF.
KartikMistry set Security to None.
KartikMistry added a subscriber: santhosh.
Amire80 triaged this task as High priority.Apr 21 2015, 8:56 AM
Nikerabbit edited a custom field.Apr 21 2015, 8:56 AM

Change 206097 had a related patch set uploaded (by Santhosh):
Avoid page scroll when reference list added automatically

https://gerrit.wikimedia.org/r/206097

Arrbee moved this task from Backlog to In Review on the LE-Sprint-86 board.Apr 24 2015, 7:03 AM

Change 206097 merged by jenkins-bot:
Avoid page scroll when reference list added automatically

https://gerrit.wikimedia.org/r/206097

KartikMistry moved this task from In Review to Done on the LE-Sprint-86 board.Apr 28 2015, 3:06 PM
KartikMistry closed this task as Resolved.Apr 28 2015, 4:25 PM
KartikMistry added a subscriber: KartikMistry.